Charts
Render chart image
Render the latest prepared chart snapshot as a PNG.
POST
/
project
/
{project_id}
/
chart
/
{chart_id}
/
image
Render chart image
curl --request POST \
--url https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 1,
"layout": "shareCard",
"size": {
"preset": "landscape"
},
"theme": "light",
"locale": "en-US",
"background": {
"mode": "default"
},
"content": {
"title": {
"show": true,
"text": "Visits in the last 30 days"
},
"subtitle": {
"show": false,
"text": ""
},
"logo": true,
"companyName": true,
"dashboardName": true,
"branding": "chartbrew"
}
}
'import requests
url = "https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image"
payload = {
"version": 1,
"layout": "shareCard",
"size": { "preset": "landscape" },
"theme": "light",
"locale": "en-US",
"background": { "mode": "default" },
"content": {
"title": {
"show": True,
"text": "Visits in the last 30 days"
},
"subtitle": {
"show": False,
"text": ""
},
"logo": True,
"companyName": True,
"dashboardName": True,
"branding": "chartbrew"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 1,
layout: 'shareCard',
size: {preset: 'landscape'},
theme: 'light',
locale: 'en-US',
background: {mode: 'default'},
content: {
title: {show: true, text: 'Visits in the last 30 days'},
subtitle: {show: false, text: ''},
logo: true,
companyName: true,
dashboardName: true,
branding: 'chartbrew'
}
})
};
fetch('https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'version' => 1,
'layout' => 'shareCard',
'size' => [
'preset' => 'landscape'
],
'theme' => 'light',
'locale' => 'en-US',
'background' => [
'mode' => 'default'
],
'content' => [
'title' => [
'show' => true,
'text' => 'Visits in the last 30 days'
],
'subtitle' => [
'show' => false,
'text' => ''
],
'logo' => true,
'companyName' => true,
'dashboardName' => true,
'branding' => 'chartbrew'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image"
payload := strings.NewReader("{\n \"version\": 1,\n \"layout\": \"shareCard\",\n \"size\": {\n \"preset\": \"landscape\"\n },\n \"theme\": \"light\",\n \"locale\": \"en-US\",\n \"background\": {\n \"mode\": \"default\"\n },\n \"content\": {\n \"title\": {\n \"show\": true,\n \"text\": \"Visits in the last 30 days\"\n },\n \"subtitle\": {\n \"show\": false,\n \"text\": \"\"\n },\n \"logo\": true,\n \"companyName\": true,\n \"dashboardName\": true,\n \"branding\": \"chartbrew\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 1,\n \"layout\": \"shareCard\",\n \"size\": {\n \"preset\": \"landscape\"\n },\n \"theme\": \"light\",\n \"locale\": \"en-US\",\n \"background\": {\n \"mode\": \"default\"\n },\n \"content\": {\n \"title\": {\n \"show\": true,\n \"text\": \"Visits in the last 30 days\"\n },\n \"subtitle\": {\n \"show\": false,\n \"text\": \"\"\n },\n \"logo\": true,\n \"companyName\": true,\n \"dashboardName\": true,\n \"branding\": \"chartbrew\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 1,\n \"layout\": \"shareCard\",\n \"size\": {\n \"preset\": \"landscape\"\n },\n \"theme\": \"light\",\n \"locale\": \"en-US\",\n \"background\": {\n \"mode\": \"default\"\n },\n \"content\": {\n \"title\": {\n \"show\": true,\n \"text\": \"Visits in the last 30 days\"\n },\n \"subtitle\": {\n \"show\": false,\n \"text\": \"\"\n },\n \"logo\": true,\n \"companyName\": true,\n \"dashboardName\": true,\n \"branding\": \"chartbrew\"\n }\n}"
response = http.request(request)
puts response.read_body"<string>"{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Returns a PNG from the latest successful default chart snapshot. This endpoint requires an
authenticated Chartbrew user session and export access to the project.
Data API keys, legacy API keys, public share tokens, and client-supplied chart data are not
accepted.
Authorizations
Path Parameters
Body
application/json
Response
PNG image.
The response is of type file.
⌘I
Render chart image
curl --request POST \
--url https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 1,
"layout": "shareCard",
"size": {
"preset": "landscape"
},
"theme": "light",
"locale": "en-US",
"background": {
"mode": "default"
},
"content": {
"title": {
"show": true,
"text": "Visits in the last 30 days"
},
"subtitle": {
"show": false,
"text": ""
},
"logo": true,
"companyName": true,
"dashboardName": true,
"branding": "chartbrew"
}
}
'import requests
url = "https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image"
payload = {
"version": 1,
"layout": "shareCard",
"size": { "preset": "landscape" },
"theme": "light",
"locale": "en-US",
"background": { "mode": "default" },
"content": {
"title": {
"show": True,
"text": "Visits in the last 30 days"
},
"subtitle": {
"show": False,
"text": ""
},
"logo": True,
"companyName": True,
"dashboardName": True,
"branding": "chartbrew"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 1,
layout: 'shareCard',
size: {preset: 'landscape'},
theme: 'light',
locale: 'en-US',
background: {mode: 'default'},
content: {
title: {show: true, text: 'Visits in the last 30 days'},
subtitle: {show: false, text: ''},
logo: true,
companyName: true,
dashboardName: true,
branding: 'chartbrew'
}
})
};
fetch('https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'version' => 1,
'layout' => 'shareCard',
'size' => [
'preset' => 'landscape'
],
'theme' => 'light',
'locale' => 'en-US',
'background' => [
'mode' => 'default'
],
'content' => [
'title' => [
'show' => true,
'text' => 'Visits in the last 30 days'
],
'subtitle' => [
'show' => false,
'text' => ''
],
'logo' => true,
'companyName' => true,
'dashboardName' => true,
'branding' => 'chartbrew'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image"
payload := strings.NewReader("{\n \"version\": 1,\n \"layout\": \"shareCard\",\n \"size\": {\n \"preset\": \"landscape\"\n },\n \"theme\": \"light\",\n \"locale\": \"en-US\",\n \"background\": {\n \"mode\": \"default\"\n },\n \"content\": {\n \"title\": {\n \"show\": true,\n \"text\": \"Visits in the last 30 days\"\n },\n \"subtitle\": {\n \"show\": false,\n \"text\": \"\"\n },\n \"logo\": true,\n \"companyName\": true,\n \"dashboardName\": true,\n \"branding\": \"chartbrew\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 1,\n \"layout\": \"shareCard\",\n \"size\": {\n \"preset\": \"landscape\"\n },\n \"theme\": \"light\",\n \"locale\": \"en-US\",\n \"background\": {\n \"mode\": \"default\"\n },\n \"content\": {\n \"title\": {\n \"show\": true,\n \"text\": \"Visits in the last 30 days\"\n },\n \"subtitle\": {\n \"show\": false,\n \"text\": \"\"\n },\n \"logo\": true,\n \"companyName\": true,\n \"dashboardName\": true,\n \"branding\": \"chartbrew\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chartbrew.com/project/{project_id}/chart/{chart_id}/image")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 1,\n \"layout\": \"shareCard\",\n \"size\": {\n \"preset\": \"landscape\"\n },\n \"theme\": \"light\",\n \"locale\": \"en-US\",\n \"background\": {\n \"mode\": \"default\"\n },\n \"content\": {\n \"title\": {\n \"show\": true,\n \"text\": \"Visits in the last 30 days\"\n },\n \"subtitle\": {\n \"show\": false,\n \"text\": \"\"\n },\n \"logo\": true,\n \"companyName\": true,\n \"dashboardName\": true,\n \"branding\": \"chartbrew\"\n }\n}"
response = http.request(request)
puts response.read_body"<string>"{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_IMAGE_OPTIONS",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}